Справочное руководство по MySQL

электронно цифровая подпись для электронных торгов



2.6.4.7 Примечания к BSD/OS версий 4.x

BSDI версий 4.x содержит ошибку, имеющую отношение к потокам. Если вы планируете использовать MySQL на этой системе, необходимо предварительно установить все патчи, относящиеся к реализации потоков. По крайней мере, должен быть установлен M400-023.

На некоторых системах BSDI версий 4.x вы можете столкнуться с проблемами при использовании динамических библиотек. Проявляется это как невозможность выполнить какую-либо клиентскую программу, например mysqladmin. В данном случае необходимо переконфигурировать MySQL с запретом использовать динамические библиотеки, указав для скрипта configure опцию --disable-shared.

Некоторые пользователи сообщали нам о проблемах на BSDI 4.0.1, которые проявляются в том, что через некоторое время после начала работы mysqld не может открыть таблицы. Это происходит потому, что из-за какой-то системной или библиотечной ошибки mysqld изменяет текущий каталог без какого-либо запроса!

Для решения проблемы необходимо либо обновить MySQL до версии 3.23.34, либо после запуска configure удалить строку #define HAVE_REALPATH из файла `config.h' перед запуском make.

Отметим, что вышеописанные действия приведут к невозможности создать символическую ссылку из одних каталогов базы данных на другой каталог базы данных или символическую ссылку на таблицу в другой базе данных на BSDI! (Создание символической ссылки на другой диск допускается.)


2.6.4.6 Примечания к BSD/OS версий 3.xОглавление2.6.5 Примечания к Mac OS X